// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-dtos.proto

package com.accelfin.server.messaging.dtos;

/**
 * Protobuf type {@code com.accelfin.server.messaging.dtos.MessageEnvelopeDto}
 */
public  final class MessageEnvelopeDto extends
    com.google.protobuf.GeneratedMessage implements
    // @@protoc_insertion_point(message_implements:com.accelfin.server.messaging.dtos.MessageEnvelopeDto)
    MessageEnvelopeDtoOrBuilder {
  // Use MessageEnvelopeDto.newBuilder() to construct.
  private MessageEnvelopeDto(com.google.protobuf.GeneratedMessage.Builder<?> builder) {
    super(builder);
  }
  private MessageEnvelopeDto() {
    operationName_ = "";
    hasCompleted_ = false;
    error_ = "";
    correlationId_ = "";
    sessionId_ = "";
    senderId_ = "";
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
  }
  private MessageEnvelopeDto(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    int mutable_bitField0_ = 0;
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          default: {
            if (!input.skipField(tag)) {
              done = true;
            }
            break;
          }
          case 10: {
            java.lang.String s = input.readStringRequireUtf8();

            operationName_ = s;
            break;
          }
          case 18: {
            com.accelfin.server.messaging.dtos.TimestampDto.Builder subBuilder = null;
            if (timestamp_ != null) {
              subBuilder = timestamp_.toBuilder();
            }
            timestamp_ = input.readMessage(com.accelfin.server.messaging.dtos.TimestampDto.parser(), extensionRegistry);
            if (subBuilder != null) {
              subBuilder.mergeFrom(timestamp_);
              timestamp_ = subBuilder.buildPartial();
            }

            break;
          }
          case 26: {
            com.accelfin.server.messaging.dtos.AnyDto.Builder subBuilder = null;
            if (payload_ != null) {
              subBuilder = payload_.toBuilder();
            }
            payload_ = input.readMessage(com.accelfin.server.messaging.dtos.AnyDto.parser(), extensionRegistry);
            if (subBuilder != null) {
              subBuilder.mergeFrom(payload_);
              payload_ = subBuilder.buildPartial();
            }

            break;
          }
          case 32: {

            hasCompleted_ = input.readBool();
            break;
          }
          case 42: {
            java.lang.String s = input.readStringRequireUtf8();

            error_ = s;
            break;
          }
          case 50: {
            java.lang.String s = input.readStringRequireUtf8();

            correlationId_ = s;
            break;
          }
          case 58: {
            java.lang.String s = input.readStringRequireUtf8();

            sessionId_ = s;
            break;
          }
          case 66: {
            java.lang.String s = input.readStringRequireUtf8();

            senderId_ = s;
            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_MessageEnvelopeDto_descriptor;
  }

  protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_MessageEnvelopeDto_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            com.accelfin.server.messaging.dtos.MessageEnvelopeDto.class, com.accelfin.server.messaging.dtos.MessageEnvelopeDto.Builder.class);
  }

  public static final int OPERATION_NAME_FIELD_NUMBER = 1;
  private volatile java.lang.Object operationName_;
  /**
   * <code>optional string operation_name = 1;</code>
   */
  public java.lang.String getOperationName() {
    java.lang.Object ref = operationName_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      operationName_ = s;
      return s;
    }
  }
  /**
   * <code>optional string operation_name = 1;</code>
   */
  public com.google.protobuf.ByteString
      getOperationNameBytes() {
    java.lang.Object ref = operationName_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      operationName_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int TIMESTAMP_FIELD_NUMBER = 2;
  private com.accelfin.server.messaging.dtos.TimestampDto timestamp_;
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 2;</code>
   */
  public boolean hasTimestamp() {
    return timestamp_ != null;
  }
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 2;</code>
   */
  public com.accelfin.server.messaging.dtos.TimestampDto getTimestamp() {
    return timestamp_ == null ? com.accelfin.server.messaging.dtos.TimestampDto.getDefaultInstance() : timestamp_;
  }
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 2;</code>
   */
  public com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getTimestampOrBuilder() {
    return getTimestamp();
  }

  public static final int PAYLOAD_FIELD_NUMBER = 3;
  private com.accelfin.server.messaging.dtos.AnyDto payload_;
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.AnyDto payload = 3;</code>
   */
  public boolean hasPayload() {
    return payload_ != null;
  }
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.AnyDto payload = 3;</code>
   */
  public com.accelfin.server.messaging.dtos.AnyDto getPayload() {
    return payload_ == null ? com.accelfin.server.messaging.dtos.AnyDto.getDefaultInstance() : payload_;
  }
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.AnyDto payload = 3;</code>
   */
  public com.accelfin.server.messaging.dtos.AnyDtoOrBuilder getPayloadOrBuilder() {
    return getPayload();
  }

  public static final int HAS_COMPLETED_FIELD_NUMBER = 4;
  private boolean hasCompleted_;
  /**
   * <code>optional bool has_completed = 4;</code>
   */
  public boolean getHasCompleted() {
    return hasCompleted_;
  }

  public static final int ERROR_FIELD_NUMBER = 5;
  private volatile java.lang.Object error_;
  /**
   * <code>optional string error = 5;</code>
   */
  public java.lang.String getError() {
    java.lang.Object ref = error_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      error_ = s;
      return s;
    }
  }
  /**
   * <code>optional string error = 5;</code>
   */
  public com.google.protobuf.ByteString
      getErrorBytes() {
    java.lang.Object ref = error_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      error_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int CORRELATION_ID_FIELD_NUMBER = 6;
  private volatile java.lang.Object correlationId_;
  /**
   * <code>optional string correlation_id = 6;</code>
   */
  public java.lang.String getCorrelationId() {
    java.lang.Object ref = correlationId_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      correlationId_ = s;
      return s;
    }
  }
  /**
   * <code>optional string correlation_id = 6;</code>
   */
  public com.google.protobuf.ByteString
      getCorrelationIdBytes() {
    java.lang.Object ref = correlationId_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      correlationId_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int SESSION_ID_FIELD_NUMBER = 7;
  private volatile java.lang.Object sessionId_;
  /**
   * <code>optional string session_id = 7;</code>
   */
  public java.lang.String getSessionId() {
    java.lang.Object ref = sessionId_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      sessionId_ = s;
      return s;
    }
  }
  /**
   * <code>optional string session_id = 7;</code>
   */
  public com.google.protobuf.ByteString
      getSessionIdBytes() {
    java.lang.Object ref = sessionId_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      sessionId_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int SENDER_ID_FIELD_NUMBER = 8;
  private volatile java.lang.Object senderId_;
  /**
   * <code>optional string sender_id = 8;</code>
   */
  public java.lang.String getSenderId() {
    java.lang.Object ref = senderId_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      senderId_ = s;
      return s;
    }
  }
  /**
   * <code>optional string sender_id = 8;</code>
   */
  public com.google.protobuf.ByteString
      getSenderIdBytes() {
    java.lang.Object ref = senderId_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      senderId_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  private byte memoizedIsInitialized = -1;
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (!getOperationNameBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessage.writeString(output, 1, operationName_);
    }
    if (timestamp_ != null) {
      output.writeMessage(2, getTimestamp());
    }
    if (payload_ != null) {
      output.writeMessage(3, getPayload());
    }
    if (hasCompleted_ != false) {
      output.writeBool(4, hasCompleted_);
    }
    if (!getErrorBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessage.writeString(output, 5, error_);
    }
    if (!getCorrelationIdBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessage.writeString(output, 6, correlationId_);
    }
    if (!getSessionIdBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessage.writeString(output, 7, sessionId_);
    }
    if (!getSenderIdBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessage.writeString(output, 8, senderId_);
    }
  }

  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (!getOperationNameBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessage.computeStringSize(1, operationName_);
    }
    if (timestamp_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getTimestamp());
    }
    if (payload_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(3, getPayload());
    }
    if (hasCompleted_ != false) {
      size += com.google.protobuf.CodedOutputStream
        .computeBoolSize(4, hasCompleted_);
    }
    if (!getErrorBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessage.computeStringSize(5, error_);
    }
    if (!getCorrelationIdBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessage.computeStringSize(6, correlationId_);
    }
    if (!getSessionIdBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessage.computeStringSize(7, sessionId_);
    }
    if (!getSenderIdBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessage.computeStringSize(8, senderId_);
    }
    memoizedSize = size;
    return size;
  }

  private static final long serialVersionUID = 0L;
  public static com.accelfin.server.messaging.dtos.MessageEnvelopeDto parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.messaging.dtos.MessageEnvelopeDto parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.MessageEnvelopeDto parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.messaging.dtos.MessageEnvelopeDto parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.MessageEnvelopeDto parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.messaging.dtos.MessageEnvelopeDto parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.MessageEnvelopeDto parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static com.accelfin.server.messaging.dtos.MessageEnvelopeDto parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.MessageEnvelopeDto parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.messaging.dtos.MessageEnvelopeDto parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(com.accelfin.server.messaging.dtos.MessageEnvelopeDto prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessage.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code com.accelfin.server.messaging.dtos.MessageEnvelopeDto}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessage.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:com.accelfin.server.messaging.dtos.MessageEnvelopeDto)
      com.accelfin.server.messaging.dtos.MessageEnvelopeDtoOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_MessageEnvelopeDto_descriptor;
    }

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_MessageEnvelopeDto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.accelfin.server.messaging.dtos.MessageEnvelopeDto.class, com.accelfin.server.messaging.dtos.MessageEnvelopeDto.Builder.class);
    }

    // Construct using com.accelfin.server.messaging.dtos.MessageEnvelopeDto.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
      }
    }
    public Builder clear() {
      super.clear();
      operationName_ = "";

      if (timestampBuilder_ == null) {
        timestamp_ = null;
      } else {
        timestamp_ = null;
        timestampBuilder_ = null;
      }
      if (payloadBuilder_ == null) {
        payload_ = null;
      } else {
        payload_ = null;
        payloadBuilder_ = null;
      }
      hasCompleted_ = false;

      error_ = "";

      correlationId_ = "";

      sessionId_ = "";

      senderId_ = "";

      return this;
    }

    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_MessageEnvelopeDto_descriptor;
    }

    public com.accelfin.server.messaging.dtos.MessageEnvelopeDto getDefaultInstanceForType() {
      return com.accelfin.server.messaging.dtos.MessageEnvelopeDto.getDefaultInstance();
    }

    public com.accelfin.server.messaging.dtos.MessageEnvelopeDto build() {
      com.accelfin.server.messaging.dtos.MessageEnvelopeDto result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    public com.accelfin.server.messaging.dtos.MessageEnvelopeDto buildPartial() {
      com.accelfin.server.messaging.dtos.MessageEnvelopeDto result = new com.accelfin.server.messaging.dtos.MessageEnvelopeDto(this);
      result.operationName_ = operationName_;
      if (timestampBuilder_ == null) {
        result.timestamp_ = timestamp_;
      } else {
        result.timestamp_ = timestampBuilder_.build();
      }
      if (payloadBuilder_ == null) {
        result.payload_ = payload_;
      } else {
        result.payload_ = payloadBuilder_.build();
      }
      result.hasCompleted_ = hasCompleted_;
      result.error_ = error_;
      result.correlationId_ = correlationId_;
      result.sessionId_ = sessionId_;
      result.senderId_ = senderId_;
      onBuilt();
      return result;
    }

    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof com.accelfin.server.messaging.dtos.MessageEnvelopeDto) {
        return mergeFrom((com.accelfin.server.messaging.dtos.MessageEnvelopeDto)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(com.accelfin.server.messaging.dtos.MessageEnvelopeDto other) {
      if (other == com.accelfin.server.messaging.dtos.MessageEnvelopeDto.getDefaultInstance()) return this;
      if (!other.getOperationName().isEmpty()) {
        operationName_ = other.operationName_;
        onChanged();
      }
      if (other.hasTimestamp()) {
        mergeTimestamp(other.getTimestamp());
      }
      if (other.hasPayload()) {
        mergePayload(other.getPayload());
      }
      if (other.getHasCompleted() != false) {
        setHasCompleted(other.getHasCompleted());
      }
      if (!other.getError().isEmpty()) {
        error_ = other.error_;
        onChanged();
      }
      if (!other.getCorrelationId().isEmpty()) {
        correlationId_ = other.correlationId_;
        onChanged();
      }
      if (!other.getSessionId().isEmpty()) {
        sessionId_ = other.sessionId_;
        onChanged();
      }
      if (!other.getSenderId().isEmpty()) {
        senderId_ = other.senderId_;
        onChanged();
      }
      onChanged();
      return this;
    }

    public final boolean isInitialized() {
      return true;
    }

    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      com.accelfin.server.messaging.dtos.MessageEnvelopeDto parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (com.accelfin.server.messaging.dtos.MessageEnvelopeDto) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }

    private java.lang.Object operationName_ = "";
    /**
     * <code>optional string operation_name = 1;</code>
     */
    public java.lang.String getOperationName() {
      java.lang.Object ref = operationName_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        operationName_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>optional string operation_name = 1;</code>
     */
    public com.google.protobuf.ByteString
        getOperationNameBytes() {
      java.lang.Object ref = operationName_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        operationName_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>optional string operation_name = 1;</code>
     */
    public Builder setOperationName(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      operationName_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional string operation_name = 1;</code>
     */
    public Builder clearOperationName() {
      
      operationName_ = getDefaultInstance().getOperationName();
      onChanged();
      return this;
    }
    /**
     * <code>optional string operation_name = 1;</code>
     */
    public Builder setOperationNameBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      operationName_ = value;
      onChanged();
      return this;
    }

    private com.accelfin.server.messaging.dtos.TimestampDto timestamp_ = null;
    private com.google.protobuf.SingleFieldBuilder<
        com.accelfin.server.messaging.dtos.TimestampDto, com.accelfin.server.messaging.dtos.TimestampDto.Builder, com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder> timestampBuilder_;
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 2;</code>
     */
    public boolean hasTimestamp() {
      return timestampBuilder_ != null || timestamp_ != null;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 2;</code>
     */
    public com.accelfin.server.messaging.dtos.TimestampDto getTimestamp() {
      if (timestampBuilder_ == null) {
        return timestamp_ == null ? com.accelfin.server.messaging.dtos.TimestampDto.getDefaultInstance() : timestamp_;
      } else {
        return timestampBuilder_.getMessage();
      }
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 2;</code>
     */
    public Builder setTimestamp(com.accelfin.server.messaging.dtos.TimestampDto value) {
      if (timestampBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        timestamp_ = value;
        onChanged();
      } else {
        timestampBuilder_.setMessage(value);
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 2;</code>
     */
    public Builder setTimestamp(
        com.accelfin.server.messaging.dtos.TimestampDto.Builder builderForValue) {
      if (timestampBuilder_ == null) {
        timestamp_ = builderForValue.build();
        onChanged();
      } else {
        timestampBuilder_.setMessage(builderForValue.build());
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 2;</code>
     */
    public Builder mergeTimestamp(com.accelfin.server.messaging.dtos.TimestampDto value) {
      if (timestampBuilder_ == null) {
        if (timestamp_ != null) {
          timestamp_ =
            com.accelfin.server.messaging.dtos.TimestampDto.newBuilder(timestamp_).mergeFrom(value).buildPartial();
        } else {
          timestamp_ = value;
        }
        onChanged();
      } else {
        timestampBuilder_.mergeFrom(value);
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 2;</code>
     */
    public Builder clearTimestamp() {
      if (timestampBuilder_ == null) {
        timestamp_ = null;
        onChanged();
      } else {
        timestamp_ = null;
        timestampBuilder_ = null;
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 2;</code>
     */
    public com.accelfin.server.messaging.dtos.TimestampDto.Builder getTimestampBuilder() {
      
      onChanged();
      return getTimestampFieldBuilder().getBuilder();
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 2;</code>
     */
    public com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getTimestampOrBuilder() {
      if (timestampBuilder_ != null) {
        return timestampBuilder_.getMessageOrBuilder();
      } else {
        return timestamp_ == null ?
            com.accelfin.server.messaging.dtos.TimestampDto.getDefaultInstance() : timestamp_;
      }
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 2;</code>
     */
    private com.google.protobuf.SingleFieldBuilder<
        com.accelfin.server.messaging.dtos.TimestampDto, com.accelfin.server.messaging.dtos.TimestampDto.Builder, com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder> 
        getTimestampFieldBuilder() {
      if (timestampBuilder_ == null) {
        timestampBuilder_ = new com.google.protobuf.SingleFieldBuilder<
            com.accelfin.server.messaging.dtos.TimestampDto, com.accelfin.server.messaging.dtos.TimestampDto.Builder, com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder>(
                getTimestamp(),
                getParentForChildren(),
                isClean());
        timestamp_ = null;
      }
      return timestampBuilder_;
    }

    private com.accelfin.server.messaging.dtos.AnyDto payload_ = null;
    private com.google.protobuf.SingleFieldBuilder<
        com.accelfin.server.messaging.dtos.AnyDto, com.accelfin.server.messaging.dtos.AnyDto.Builder, com.accelfin.server.messaging.dtos.AnyDtoOrBuilder> payloadBuilder_;
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.AnyDto payload = 3;</code>
     */
    public boolean hasPayload() {
      return payloadBuilder_ != null || payload_ != null;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.AnyDto payload = 3;</code>
     */
    public com.accelfin.server.messaging.dtos.AnyDto getPayload() {
      if (payloadBuilder_ == null) {
        return payload_ == null ? com.accelfin.server.messaging.dtos.AnyDto.getDefaultInstance() : payload_;
      } else {
        return payloadBuilder_.getMessage();
      }
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.AnyDto payload = 3;</code>
     */
    public Builder setPayload(com.accelfin.server.messaging.dtos.AnyDto value) {
      if (payloadBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        payload_ = value;
        onChanged();
      } else {
        payloadBuilder_.setMessage(value);
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.AnyDto payload = 3;</code>
     */
    public Builder setPayload(
        com.accelfin.server.messaging.dtos.AnyDto.Builder builderForValue) {
      if (payloadBuilder_ == null) {
        payload_ = builderForValue.build();
        onChanged();
      } else {
        payloadBuilder_.setMessage(builderForValue.build());
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.AnyDto payload = 3;</code>
     */
    public Builder mergePayload(com.accelfin.server.messaging.dtos.AnyDto value) {
      if (payloadBuilder_ == null) {
        if (payload_ != null) {
          payload_ =
            com.accelfin.server.messaging.dtos.AnyDto.newBuilder(payload_).mergeFrom(value).buildPartial();
        } else {
          payload_ = value;
        }
        onChanged();
      } else {
        payloadBuilder_.mergeFrom(value);
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.AnyDto payload = 3;</code>
     */
    public Builder clearPayload() {
      if (payloadBuilder_ == null) {
        payload_ = null;
        onChanged();
      } else {
        payload_ = null;
        payloadBuilder_ = null;
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.AnyDto payload = 3;</code>
     */
    public com.accelfin.server.messaging.dtos.AnyDto.Builder getPayloadBuilder() {
      
      onChanged();
      return getPayloadFieldBuilder().getBuilder();
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.AnyDto payload = 3;</code>
     */
    public com.accelfin.server.messaging.dtos.AnyDtoOrBuilder getPayloadOrBuilder() {
      if (payloadBuilder_ != null) {
        return payloadBuilder_.getMessageOrBuilder();
      } else {
        return payload_ == null ?
            com.accelfin.server.messaging.dtos.AnyDto.getDefaultInstance() : payload_;
      }
    }
    /**
     * <code>optional .com.accelfin.server.messaging.dtos.AnyDto payload = 3;</code>
     */
    private com.google.protobuf.SingleFieldBuilder<
        com.accelfin.server.messaging.dtos.AnyDto, com.accelfin.server.messaging.dtos.AnyDto.Builder, com.accelfin.server.messaging.dtos.AnyDtoOrBuilder> 
        getPayloadFieldBuilder() {
      if (payloadBuilder_ == null) {
        payloadBuilder_ = new com.google.protobuf.SingleFieldBuilder<
            com.accelfin.server.messaging.dtos.AnyDto, com.accelfin.server.messaging.dtos.AnyDto.Builder, com.accelfin.server.messaging.dtos.AnyDtoOrBuilder>(
                getPayload(),
                getParentForChildren(),
                isClean());
        payload_ = null;
      }
      return payloadBuilder_;
    }

    private boolean hasCompleted_ ;
    /**
     * <code>optional bool has_completed = 4;</code>
     */
    public boolean getHasCompleted() {
      return hasCompleted_;
    }
    /**
     * <code>optional bool has_completed = 4;</code>
     */
    public Builder setHasCompleted(boolean value) {
      
      hasCompleted_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional bool has_completed = 4;</code>
     */
    public Builder clearHasCompleted() {
      
      hasCompleted_ = false;
      onChanged();
      return this;
    }

    private java.lang.Object error_ = "";
    /**
     * <code>optional string error = 5;</code>
     */
    public java.lang.String getError() {
      java.lang.Object ref = error_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        error_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>optional string error = 5;</code>
     */
    public com.google.protobuf.ByteString
        getErrorBytes() {
      java.lang.Object ref = error_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        error_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>optional string error = 5;</code>
     */
    public Builder setError(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      error_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional string error = 5;</code>
     */
    public Builder clearError() {
      
      error_ = getDefaultInstance().getError();
      onChanged();
      return this;
    }
    /**
     * <code>optional string error = 5;</code>
     */
    public Builder setErrorBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      error_ = value;
      onChanged();
      return this;
    }

    private java.lang.Object correlationId_ = "";
    /**
     * <code>optional string correlation_id = 6;</code>
     */
    public java.lang.String getCorrelationId() {
      java.lang.Object ref = correlationId_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        correlationId_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>optional string correlation_id = 6;</code>
     */
    public com.google.protobuf.ByteString
        getCorrelationIdBytes() {
      java.lang.Object ref = correlationId_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        correlationId_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>optional string correlation_id = 6;</code>
     */
    public Builder setCorrelationId(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      correlationId_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional string correlation_id = 6;</code>
     */
    public Builder clearCorrelationId() {
      
      correlationId_ = getDefaultInstance().getCorrelationId();
      onChanged();
      return this;
    }
    /**
     * <code>optional string correlation_id = 6;</code>
     */
    public Builder setCorrelationIdBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      correlationId_ = value;
      onChanged();
      return this;
    }

    private java.lang.Object sessionId_ = "";
    /**
     * <code>optional string session_id = 7;</code>
     */
    public java.lang.String getSessionId() {
      java.lang.Object ref = sessionId_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        sessionId_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>optional string session_id = 7;</code>
     */
    public com.google.protobuf.ByteString
        getSessionIdBytes() {
      java.lang.Object ref = sessionId_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        sessionId_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>optional string session_id = 7;</code>
     */
    public Builder setSessionId(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      sessionId_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional string session_id = 7;</code>
     */
    public Builder clearSessionId() {
      
      sessionId_ = getDefaultInstance().getSessionId();
      onChanged();
      return this;
    }
    /**
     * <code>optional string session_id = 7;</code>
     */
    public Builder setSessionIdBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      sessionId_ = value;
      onChanged();
      return this;
    }

    private java.lang.Object senderId_ = "";
    /**
     * <code>optional string sender_id = 8;</code>
     */
    public java.lang.String getSenderId() {
      java.lang.Object ref = senderId_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        senderId_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>optional string sender_id = 8;</code>
     */
    public com.google.protobuf.ByteString
        getSenderIdBytes() {
      java.lang.Object ref = senderId_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        senderId_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>optional string sender_id = 8;</code>
     */
    public Builder setSenderId(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      senderId_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional string sender_id = 8;</code>
     */
    public Builder clearSenderId() {
      
      senderId_ = getDefaultInstance().getSenderId();
      onChanged();
      return this;
    }
    /**
     * <code>optional string sender_id = 8;</code>
     */
    public Builder setSenderIdBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      senderId_ = value;
      onChanged();
      return this;
    }
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }

    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }


    // @@protoc_insertion_point(builder_scope:com.accelfin.server.messaging.dtos.MessageEnvelopeDto)
  }

  // @@protoc_insertion_point(class_scope:com.accelfin.server.messaging.dtos.MessageEnvelopeDto)
  private static final com.accelfin.server.messaging.dtos.MessageEnvelopeDto DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new com.accelfin.server.messaging.dtos.MessageEnvelopeDto();
  }

  public static com.accelfin.server.messaging.dtos.MessageEnvelopeDto getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<MessageEnvelopeDto>
      PARSER = new com.google.protobuf.AbstractParser<MessageEnvelopeDto>() {
    public MessageEnvelopeDto parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
        return new MessageEnvelopeDto(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<MessageEnvelopeDto> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<MessageEnvelopeDto> getParserForType() {
    return PARSER;
  }

  public com.accelfin.server.messaging.dtos.MessageEnvelopeDto getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

